| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Attributes | List of all members
Gaudi._ConfigurablesModule Class Reference
Inheritance diagram for Gaudi._ConfigurablesModule:
[legend]
Collaboration diagram for Gaudi._ConfigurablesModule:
[legend]

## Public Member Functions
def | __init__ (self)
def | __getattr__ (self, name)

## Public Attributes
| ignoreMissingConfigurables

## Private Attributes
| __name__

## Detailed Description

Definition at line 16 of file __init__.py.

## Constructor & Destructor Documentation

def Gaudi._ConfigurablesModule.__init__ | ( |  | self | ) |

Definition at line 18 of file __init__.py.

18 def __init__(self):
19 # If set to true, does not raise an AttributeError if the configurable is not found.
20 self.ignoreMissingConfigurables = False
21 self.__name__ = __configurables_module_fullname__
22
Gaudi._ConfigurablesModule.__name__
__name__
Definition: __init__.py:21
Gaudi._ConfigurablesModule.__init__
def __init__(self)
Definition: __init__.py:18
Gaudi._ConfigurablesModule.ignoreMissingConfigurables
ignoreMissingConfigurables
Definition: __init__.py:20

## Member Function Documentation

def Gaudi._ConfigurablesModule.__getattr__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 23 of file __init__.py.

23 def __getattr__(self, name):
24 # trigger the load of the configurables database
25 from Gaudi.Configuration import confDbGetConfigurable, cfgDb
26 from Gaudi.CommonGaudiConfigurables import aliases
27 # return value
28 retval = None
29 # handle the special cases (needed for modules): __all__, __path__
30 if name == "__all__":
31 retval = cfgDb.keys()
32 elif name == "__path__":
33 raise AttributeError("'module' object has no attribute '__path__'")
34 elif name in cfgDb.keys(): # ignore private names
35 retval = confDbGetConfigurable(name)
36 elif name in aliases: # special case of aliases
37 retval = aliases[name]
38 elif self.ignoreMissingConfigurables:
39 import logging
40 logging.getLogger(__configurables_module_fullname__).warning(
41 'Configurable class %s not in database', name)
42 else:
43 # We raise an AttributeError exception if the configurable could not be found
44 # to respect the Python semantic.
45 raise AttributeError("module '%s' does not have attribute '%s'" % (
46 __configurables_module_fullname__, name))
47 return retval
48
49
50 # install the facade module instance as a module
Gaudi._ConfigurablesModule.__getattr__
def __getattr__(self, name)
Definition: __init__.py:23
Gaudi.Configuration
Definition: Configuration.py:1
Gaudi.CommonGaudiConfigurables
Definition: CommonGaudiConfigurables.py:1
Gaudi._ConfigurablesModule.ignoreMissingConfigurables
ignoreMissingConfigurables
Definition: __init__.py:20

## Member Data Documentation

Gaudi._ConfigurablesModule.__name__
| private

Definition at line 21 of file __init__.py.

Gaudi._ConfigurablesModule.ignoreMissingConfigurables

Definition at line 20 of file __init__.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/__init__.py